<bugID>467661<Summary>Splash! add-on does not work with FF3.1B2 on Ubuntu 8.0.4</Summary><Description>User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.4) Gecko/2008102920 Firefox/3.0.4 (.NET CLR 3.5.30729)
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.4) Gecko/2008102920 Firefox/3.0.4 (.NET CLR 3.5.30729)

https://addons.mozilla.org/en-US/firefox/addon/2995 fails to install on Ubuntu 8.0.4 FF3.1B2 

Reproducible: Always

Steps to Reproduce:
1.
2.
3.</Description></bugID>